Bug 1315486 - Review Request: nudoku - Ncurses based sudoku game
Summary: Review Request: nudoku - Ncurses based sudoku game
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-07 21:36 UTC by Fabio Alessandro Locati
Modified: 2016-05-26 20:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-14 23:29:07 UTC
Type: ---
germano.massullo: fedora-review+


Attachments (Terms of Use)

Description Fabio Alessandro Locati 2016-03-07 21:36:00 UTC
Spec URL: https://fale.fedorapeople.org/rpms/nudoku.spec
SRPM URL: https://fale.fedorapeople.org/rpms/nudoku-0.2.4-1.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13264233
Description: Ncurses based sudoku game
Fedora Account System Username: fale

Comment 1 Upstream Release Monitoring 2016-03-07 21:38:07 UTC
fale's scratch build of nudoku-0.2.4-1.src.rpm for f25 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=13264233

Comment 2 Greg Bailey 2016-03-08 01:19:05 UTC
Hi Fabio,

Care to do a "review swap"?  This looks pretty straightforward, and I have a simple one as well at:

https://bugzilla.redhat.com/show_bug.cgi?id=1308779

Comment 3 Jiffin 2016-03-20 17:37:59 UTC
Hi Fabio,

This initial review comments based on fedora-review

output of rpmlint.txt :

Checking: nudoku-0.2.4-1.x86_64.rpm
          nudoku-debuginfo-0.2.4-1.x86_64.rpm
          nudoku-0.2.4-1.src.rpm

nudoku.x86_64: W: spelling-error Summary(en_US) sudoku -> Sudoku
nudoku.x86_64: W: spelling-error %description -l en_US sudoku -> Sudoku
nudoku.x86_64: W: non-standard-group Amusements/Games/Board/Puzzle
nudoku.x86_64: W: invalid-license GPL-3.0
nudoku-debuginfo.x86_64: W: invalid-license GPL-3.0
nudoku-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/nudoku-0.2.4/src/main.c
nudoku.src: W: spelling-error Summary(en_US) sudoku -> Sudoku
nudoku.src: W: spelling-error %description -l en_US sudoku -> Sudoku
nudoku.src: W: non-standard-group Amusements/Games/Board/Puzzle
nudoku.src: W: invalid-license GPL-3.0
3 packages and 0 specfiles checked; 0 errors, 10 warnings.

output of license checking :
GPL (v3 or later)
-----------------
nudoku-0.2.4/src/main.c
nudoku-0.2.4/src/sudoku.c

Unknown or generated
--------------------
nudoku-0.2.4/src/sudoku.h
(license is missing)

Comment 4 Jiffin 2016-03-20 18:24:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Dist tag is present.
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: xz
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[?]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in
     /home/jiffin/sudoko/review-nudoku/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see above comment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nudoku-
     debuginfo
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.15 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.2.15
INFO: Mock Version: 1.2.15
Finish: chroot init
INFO: installing package(s): /home/jiffin/sudoko/review-nudoku/results/nudoku-0.2.4-1.x86_64.rpm /home/jiffin/sudoko/review-nudoku/results/nudoku-debuginfo-0.2.4-1.x86_64.rpm /home/jiffin/sudoko/review-nudoku/results/nudoku-debuginfo-0.2.4-1.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/jiffin/sudoko/review-nudoku/results/nudoku-0.2.4-1.x86_64.rpm /home/jiffin/sudoko/review-nudoku/results/nudoku-debuginfo-0.2.4-1.x86_64.rpm /home/jiffin/sudoko/review-nudoku/results/nudoku-debuginfo-0.2.4-1.x86_64.rpm

Requires
--------
nudoku-debuginfo (rpmlib, GLIBC filtered):

nudoku (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libncurses.so.6()(64bit)
    libtinfo.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
nudoku-debuginfo:
    nudoku-debuginfo
    nudoku-debuginfo(x86-64)

nudoku:
    nudoku
    nudoku(x86-64)



Source checksums
----------------
https://github.com/jubalh/nudoku/archive/0.2.4.tar.gz#/nudoku-0.2.4.tar.gz :
  CHECKSUM(SHA256) this package     : 611feacf3122d2ec9126dcf3d71654d1381c4ba06b09cfe3eb66b70441eab7c9
  CHECKSUM(SHA256) upstream package : 611feacf3122d2ec9126dcf3d71654d1381c4ba06b09cfe3eb66b70441eab7c9


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -n nudoku
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Raphael Groner 2016-03-28 17:29:48 UTC
Hi Jiffin,
you may want to do the official review, then you would need to assign this bug to you and set fedora-review flag. I guess so due to your log in comment #4. It's not sufficient for the official approval to set status to assigned only.

Comment 6 Jiffin 2016-03-29 04:58:16 UTC
Hi Raphael,
This is not a official review. That's why I didn't assign bug to myself. I am not part of any of the packager group till now.

Comment 7 Raphael Groner 2016-03-29 06:03:38 UTC
Hi requester,
any progress with the proposed fixes below?

Comment 8 Fabio Alessandro Locati 2016-03-29 13:40:03 UTC
Hello,
Sorry for the delayed answer. I've implemented the suggested fixes and here the new version:

SPEC: https://fale.fedorapeople.org/rpms/nudoku.spec
SRPM: https://fale.fedorapeople.org/rpms/nudoku-0.2.4-2.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13493911

Comment 9 Germano Massullo 2016-05-07 11:11:28 UTC
The script in comment 4 runned flawlessly, so the package is APPROVED

Comment 10 Gwyn Ciesla 2016-05-09 14:33:19 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nudoku

Comment 11 Fedora Update System 2016-05-09 20:40:10 UTC
nudoku-0.2.4-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af70854c6a

Comment 12 Fedora Update System 2016-05-09 20:40:19 UTC
nudoku-0.2.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-91d70b1a02

Comment 13 Fedora Update System 2016-05-09 20:40:24 UTC
nudoku-0.2.4-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8fd2586ddd

Comment 14 Fedora Update System 2016-05-09 20:40:29 UTC
nudoku-0.2.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-beaf1b0a49

Comment 15 Fedora Update System 2016-05-10 18:51:38 UTC
nudoku-0.2.4-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8fd2586ddd

Comment 16 Fedora Update System 2016-05-10 19:26:19 UTC
nudoku-0.2.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-91d70b1a02

Comment 17 Fedora Update System 2016-05-10 19:28:45 UTC
nudoku-0.2.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-beaf1b0a49

Comment 18 Fedora Update System 2016-05-10 20:29:10 UTC
nudoku-0.2.4-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af70854c6a

Comment 19 Fedora Update System 2016-05-14 23:29:03 UTC
nudoku-0.2.4-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-20 23:51:10 UTC
nudoku-0.2.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-05-20 23:52:54 UTC
nudoku-0.2.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2016-05-26 20:52:44 UTC
nudoku-0.2.4-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.